> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/~/changes/2402/panther-developer-workflows/api/rest/log-sources.md).

# Log Sources

## Overview

{% hint style="info" %}
The `/log-sources` REST API operations are in open beta starting with Panther version 1.111, and are available to all customers. Please share any bug reports and feature requests with your Panther support team.
{% endhint %}

Use these API operations to interact with [log sources](/~/changes/2402/data-onboarding.md) in Panther. Currently, interactions with [HTTP Sources](/~/changes/2402/data-onboarding/data-transports/http.md) are supported. (This does not include [supported log sources](/~/changes/2402/data-onboarding/supported-logs.md) that use HTTP as their transport mechanism.)

To call the API, see the [How to use the Panther REST API](/~/changes/2402/panther-developer-workflows/api/rest.md#how-to-use-the-panther-rest-api) instructions—including [directions for how to invoke it directly from this documentation page](/~/changes/2402/panther-developer-workflows/api/rest.md#step-3-invoke-the-panther-rest-api).

## Required permissions

* For `GET` operations, your API token must have the `View Log Sources` permission.
* For `POST`, `PUT`, and `DELETE` operations, your API token must have the `Manage Log Sources` permission.

## Operations

{% openapi src="/files/SKFUYX29t2J5fKG09NkS" path="/log-sources/http" method="post" %}
[panther\_open\_api\_v3\_spec.yaml](https://4011785613-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LgdiSWdyJcXPahGi9Rs-2910905616%2Fuploads%2Fw3NN0Zi8J2xxN9fp4QNF%2Fpanther_open_api_v3_spec.yaml?alt=media\&token=c5f744e1-c195-4ead-bf7c-7ca7aa6d407c)
{% endopenapi %}

{% openapi src="/files/SKFUYX29t2J5fKG09NkS" path="/log-sources/http/{id}" method="get" %}
[panther\_open\_api\_v3\_spec.yaml](https://4011785613-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LgdiSWdyJcXPahGi9Rs-2910905616%2Fuploads%2Fw3NN0Zi8J2xxN9fp4QNF%2Fpanther_open_api_v3_spec.yaml?alt=media\&token=c5f744e1-c195-4ead-bf7c-7ca7aa6d407c)
{% endopenapi %}

{% openapi src="/files/SKFUYX29t2J5fKG09NkS" path="/log-sources/http/{id}" method="put" %}
[panther\_open\_api\_v3\_spec.yaml](https://4011785613-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LgdiSWdyJcXPahGi9Rs-2910905616%2Fuploads%2Fw3NN0Zi8J2xxN9fp4QNF%2Fpanther_open_api_v3_spec.yaml?alt=media\&token=c5f744e1-c195-4ead-bf7c-7ca7aa6d407c)
{% endopenapi %}

{% openapi src="/files/SKFUYX29t2J5fKG09NkS" path="/log-sources/http/{id}" method="delete" %}
[panther\_open\_api\_v3\_spec.yaml](https://4011785613-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LgdiSWdyJcXPahGi9Rs-2910905616%2Fuploads%2Fw3NN0Zi8J2xxN9fp4QNF%2Fpanther_open_api_v3_spec.yaml?alt=media\&token=c5f744e1-c195-4ead-bf7c-7ca7aa6d407c)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/~/changes/2402/panther-developer-workflows/api/rest/log-sources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
